# uproot.to_pyroot

Defined in uproot.pyroot on line 32.

uproot.pyroot.to_pyroot(obj, name=None)
  Parameters:

    - obj (uproot.Model) – The Uproot model to convert.

    - name (str or None) – A name for the new PyROOT object.

  Converts an uproot.Model into a PyROOT object if it is writable by Uproot. A minority of Uproot models are writable, mostly just histograms. Writability is necessary for conversion to PyROOT because it is serialized through a ROOT TMessage.